View Issue Details

IDProjectCategoryView StatusLast Update
0003907GNUnetcadet servicepublic2018-06-07 00:24
ReporteramatusAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003907: GNUNET_break in GCC_handle_broken
DescriptionThis is from the cadet error log on my peer running rev 36103.
It had been running for a few minutes and hit the GNUNET_break in GCC_handle_broken, then hit a GNUNET_break in send_kx three times, with lots of less serious looking ones in GCT_destroy in-between. See the "Additional Information" section for the log.
Additional InformationJul 20 16:01:38-166491 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_connection.c:2193.
Jul 20 16:01:38-166599 cadet-con-2692 ERROR CCC DEBUG CONNECTION WWQEY1JZ
Jul 20 16:01:38-166648 cadet-con-2692 ERROR CCC path GN10 CBTD, own pos: 0
Jul 20 16:01:38-166674 cadet-con-2692 ERROR CCC state: CADET_CONNECTION_DESTROYED, destroy: 1
Jul 20 16:01:38-166696 cadet-con-2692 ERROR CCC pending messages: 1
Jul 20 16:01:38-166719 cadet-con-2692 ERROR CCC FWD flow control:
Jul 20 16:01:38-166741 cadet-con-2692 ERROR CCC queue: 0/11
Jul 20 16:01:38-166763 cadet-con-2692 ERROR CCC last PID sent: 0, recv: 0
Jul 20 16:01:38-166786 cadet-con-2692 ERROR CCC last ACK sent: 8, recv: 8
Jul 20 16:01:38-166808 cadet-con-2692 ERROR CCC recv PID bitmap: 1
Jul 20 16:01:38-166831 cadet-con-2692 ERROR CCC poll: task 0, msg (nil), msg_ack 0xb516fb70)
Jul 20 16:01:38-166854 cadet-con-2692 ERROR CCC BCK flow control:
Jul 20 16:01:38-166876 cadet-con-2692 ERROR CCC queue: 0/11
Jul 20 16:01:38-166898 cadet-con-2692 ERROR CCC last PID sent: 4294967295, recv: 4294967295
Jul 20 16:01:38-166920 cadet-con-2692 ERROR CCC last ACK sent: 0, recv: 0
Jul 20 16:01:38-166943 cadet-con-2692 ERROR CCC recv PID bitmap: 0
Jul 20 16:01:38-166965 cadet-con-2692 ERROR CCC poll: task 0, msg (nil), msg_ack (nil))
Jul 20 16:01:38-166987 cadet-con-2692 ERROR CCC DEBUG CONNECTION END
Jul 20 16:08:12-909322 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 16:09:01-799583 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 16:15:55-580637 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 16:20:44-699606 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 16:22:24-713279 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:2156.
Jul 20 16:22:24-713384 cadet-tun-2692 ERROR TTT DEBUG TUNNEL TOWARDS EGEF
Jul 20 16:22:24-713420 cadet-tun-2692 ERROR TTT cstate CADET_TUNNEL_READY, estate CADET_TUNNEL_KEY_SENT
Jul 20 16:22:24-713453 cadet-tun-2692 ERROR TTT kx_ctx (nil), rekey_task 0, finish task 0
Jul 20 16:22:24-713490 cadet-tun-2692 ERROR TTT RK 0000
Jul 20 16:22:24-713525 cadet-tun-2692 ERROR TTT HKs 0000
Jul 20 16:22:24-713561 cadet-tun-2692 ERROR TTT HKr 0000
Jul 20 16:22:24-713595 cadet-tun-2692 ERROR TTT NHKs 0000
Jul 20 16:22:24-713630 cadet-tun-2692 ERROR TTT NHKr 0000
Jul 20 16:22:24-713665 cadet-tun-2692 ERROR TTT CKs 0000
Jul 20 16:22:24-713699 cadet-tun-2692 ERROR TTT CKr 0000
Jul 20 16:22:24-852624 cadet-tun-2692 ERROR TTT DHRs YBK0
Jul 20 16:22:24-852736 cadet-tun-2692 ERROR TTT DHRr 0000
Jul 20 16:22:24-852774 cadet-tun-2692 ERROR TTT Nr 0 Ns 0
Jul 20 16:22:24-852809 cadet-tun-2692 ERROR TTT PNs 0 Skipped 0
Jul 20 16:22:24-852844 cadet-tun-2692 ERROR TTT Ratchet 0
Jul 20 16:22:24-852877 cadet-tun-2692 ERROR TTT tq_head 0xae52d820, tq_tail 0xae52d820
Jul 20 16:22:24-852912 cadet-tun-2692 ERROR TTT destroy 2695937696
Jul 20 16:22:24-852946 cadet-tun-2692 ERROR TTT channels:
Jul 20 16:22:24-852980 cadet-tun-2692 ERROR TTT connections:
Jul 20 16:22:24-853013 cadet-tun-2692 ERROR TTT DEBUG TUNNEL END
Jul 20 16:22:24-853056 cadet-p2p-2692 ERROR PPP DEBUG PEER EGEF
Jul 20 16:22:25-252710 cadet-p2p-2692 ERROR PPP last contact Mon Jul 20 16:22:02 2015
Jul 20 16:22:25-252812 cadet-p2p-2692 ERROR PPP path: GN10 GPHW EGEF
Jul 20 16:22:25-252849 cadet-p2p-2692 ERROR PPP core transmit handle (nil)
Jul 20 16:22:25-252880 cadet-p2p-2692 ERROR PPP DHT GET handle (nil)
Jul 20 16:22:25-252912 cadet-p2p-2692 ERROR PPP # connections over link to peer: 0
Jul 20 16:22:25-252949 cadet-p2p-2692 ERROR QQQ Message queue towards EGEF
Jul 20 16:22:25-252979 cadet-p2p-2692 ERROR QQQ queue length: 0
Jul 20 16:22:25-253009 cadet-p2p-2692 ERROR QQQ core tmt rdy: (nil)
Jul 20 16:22:25-253045 cadet-p2p-2692 ERROR QQQ End queue towards EGEF
Jul 20 16:22:25-253081 cadet-p2p-2692 ERROR PPP DEBUG END
Jul 20 16:23:01-661051 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 16:23:01-711824 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 16:24:10-582168 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 16:45:50-266779 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 16:46:20-415170 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 17:20:04-141007 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 17:22:44-166649 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:2156.
Jul 20 17:22:44-370040 cadet-tun-2692 ERROR TTT DEBUG TUNNEL TOWARDS GNN9
Jul 20 17:22:44-370115 cadet-tun-2692 ERROR TTT cstate CADET_TUNNEL_READY, estate CADET_TUNNEL_KEY_SENT
Jul 20 17:22:44-370141 cadet-tun-2692 ERROR TTT kx_ctx (nil), rekey_task 0, finish task 0
Jul 20 17:22:44-404069 cadet-tun-2692 ERROR TTT RK 0000
Jul 20 17:22:44-404106 cadet-tun-2692 ERROR TTT HKs 0000
Jul 20 17:22:44-427799 cadet-tun-2692 ERROR TTT HKr 0000
Jul 20 17:22:44-427834 cadet-tun-2692 ERROR TTT NHKs 0000
Jul 20 17:22:44-453102 cadet-tun-2692 ERROR TTT NHKr 0000
Jul 20 17:22:44-453141 cadet-tun-2692 ERROR TTT CKs 0000
Jul 20 17:22:44-453169 cadet-tun-2692 ERROR TTT CKr 0000
Jul 20 17:22:48-784433 cadet-tun-2692 ERROR TTT DHRs XTCT
Jul 20 17:22:48-818536 cadet-tun-2692 ERROR TTT DHRr 0000
Jul 20 17:22:48-818623 cadet-tun-2692 ERROR TTT Nr 0 Ns 0
Jul 20 17:22:48-818648 cadet-tun-2692 ERROR TTT PNs 0 Skipped 0
Jul 20 17:22:48-818671 cadet-tun-2692 ERROR TTT Ratchet 0
Jul 20 17:22:48-818694 cadet-tun-2692 ERROR TTT tq_head 0xad7b8330, tq_tail 0xad7b8330
Jul 20 17:22:48-818737 cadet-tun-2692 ERROR TTT destroy 2702230880
Jul 20 17:22:48-818761 cadet-tun-2692 ERROR TTT channels:
Jul 20 17:22:48-818783 cadet-tun-2692 ERROR TTT connections:
Jul 20 17:22:48-818804 cadet-tun-2692 ERROR TTT DEBUG TUNNEL END
Jul 20 17:22:48-848076 cadet-p2p-2692 ERROR PPP DEBUG PEER GNN9
Jul 20 17:22:48-877192 cadet-p2p-2692 ERROR PPP last contact Mon Jul 20 17:22:36 2015
Jul 20 17:22:48-877242 cadet-p2p-2692 ERROR PPP core transmit handle (nil)
Jul 20 17:22:48-877267 cadet-p2p-2692 ERROR PPP DHT GET handle 0xb514f8d0
Jul 20 17:22:48-877290 cadet-p2p-2692 ERROR PPP # connections over link to peer: 0
Jul 20 17:22:48-877340 cadet-p2p-2692 ERROR QQQ Message queue towards GNN9
Jul 20 17:22:48-877364 cadet-p2p-2692 ERROR QQQ queue length: 0
Jul 20 17:22:48-877386 cadet-p2p-2692 ERROR QQQ core tmt rdy: (nil)
Jul 20 17:22:48-877413 cadet-p2p-2692 ERROR QQQ End queue towards GNN9
Jul 20 17:22:48-877436 cadet-p2p-2692 ERROR PPP DEBUG END
Jul 20 17:23:26-915041 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 17:23:36-002380 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 17:23:36-304523 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 17:26:50-295591 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:2156.
Jul 20 17:26:50-400846 cadet-tun-2692 ERROR TTT DEBUG TUNNEL TOWARDS PQ7W
Jul 20 17:26:50-400882 cadet-tun-2692 ERROR TTT cstate CADET_TUNNEL_READY, estate CADET_TUNNEL_KEY_SENT
Jul 20 17:26:50-400926 cadet-tun-2692 ERROR TTT kx_ctx (nil), rekey_task 0, finish task 0
Jul 20 17:26:50-458880 cadet-tun-2692 ERROR TTT RK 0000
Jul 20 17:26:50-458962 cadet-tun-2692 ERROR TTT HKs 0000
Jul 20 17:26:50-458992 cadet-tun-2692 ERROR TTT HKr 0000
Jul 20 17:26:50-490008 cadet-tun-2692 ERROR TTT NHKs 0000
Jul 20 17:26:50-490042 cadet-tun-2692 ERROR TTT NHKr 0000
Jul 20 17:26:50-490076 cadet-tun-2692 ERROR TTT CKs 0000
Jul 20 17:26:50-490103 cadet-tun-2692 ERROR TTT CKr 0000
Jul 20 17:26:52-842418 cadet-tun-2692 ERROR TTT DHRs HNMZ
Jul 20 17:26:52-842504 cadet-tun-2692 ERROR TTT DHRr 0000
Jul 20 17:26:52-842529 cadet-tun-2692 ERROR TTT Nr 0 Ns 0
Jul 20 17:26:52-842552 cadet-tun-2692 ERROR TTT PNs 0 Skipped 0
Jul 20 17:26:52-842574 cadet-tun-2692 ERROR TTT Ratchet 0
Jul 20 17:26:52-842597 cadet-tun-2692 ERROR TTT tq_head 0xa212f050, tq_tail 0xa212f050
Jul 20 17:26:52-842619 cadet-tun-2692 ERROR TTT destroy 2696431712
Jul 20 17:26:52-842641 cadet-tun-2692 ERROR TTT channels:
Jul 20 17:26:52-842663 cadet-tun-2692 ERROR TTT connections:
Jul 20 17:26:52-842684 cadet-tun-2692 ERROR TTT DEBUG TUNNEL END
Jul 20 17:26:52-856961 cadet-p2p-2692 ERROR PPP DEBUG PEER PQ7W
Jul 20 17:26:52-856998 cadet-p2p-2692 ERROR PPP last contact Mon Jul 20 17:26:00 2015
Jul 20 17:26:52-857021 cadet-p2p-2692 ERROR PPP core transmit handle (nil)
Jul 20 17:26:52-857043 cadet-p2p-2692 ERROR PPP DHT GET handle 0xa6b32770
Jul 20 17:26:52-857065 cadet-p2p-2692 ERROR PPP # connections over link to peer: 0
Jul 20 17:26:52-857092 cadet-p2p-2692 ERROR QQQ Message queue towards PQ7W
Jul 20 17:26:52-857114 cadet-p2p-2692 ERROR QQQ queue length: 3
Jul 20 17:26:52-857136 cadet-p2p-2692 ERROR QQQ core tmt rdy: (nil)
Jul 20 17:26:52-857175 cadet-p2p-2692 ERROR QQQ - { CONN_BROKEN} on NULL
Jul 20 17:26:52-857199 cadet-p2p-2692 ERROR QQQ payload , 2
Jul 20 17:26:52-857221 cadet-p2p-2692 ERROR QQQ size: 100 bytes
Jul 20 17:26:52-857244 cadet-p2p-2692 ERROR QQQ - { CONN_DESTROY} FWD on NULL
Jul 20 17:26:52-857266 cadet-p2p-2692 ERROR QQQ payload , 0
Jul 20 17:26:52-857288 cadet-p2p-2692 ERROR QQQ size: 36 bytes
Jul 20 17:26:52-857312 cadet-p2p-2692 ERROR QQQ - { CONN_DESTROY} FWD on NULL
Jul 20 17:26:52-857334 cadet-p2p-2692 ERROR QQQ payload , 0
Jul 20 17:26:52-857356 cadet-p2p-2692 ERROR QQQ size: 36 bytes
Jul 20 17:26:52-857382 cadet-p2p-2692 ERROR QQQ End queue towards PQ7W
Jul 20 17:26:52-857404 cadet-p2p-2692 ERROR PPP DEBUG END
Jul 20 17:26:52-857520 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 17:26:55-285520 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 17:26:59-892402 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 17:41:11-553365 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 17:41:33-853758 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 17:42:49-466054 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 17:42:50-074619 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 17:42:50-184191 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 17:42:50-304328 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 17:44:06-123060 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 17:45:15-475460 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 17:52:08-632481 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 17:54:47-708656 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 17:55:27-743290 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 18:14:53-820507 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 18:14:54-862467 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 18:35:37-560895 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 19:09:27-485020 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 19:09:28-323006 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 19:10:53-183479 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 19:28:46-010002 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 19:41:41-452349 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 19:56:18-009748 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 20:03:38-472550 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 20:09:27-429559 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 20:12:47-058618 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 20:12:51-109079 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 20:16:55-353900 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 20:21:43-909075 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 20:34:30-448326 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 20:36:37-230672 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 20:42:10-722584 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 20:42:51-222059 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 20:48:46-259618 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 20:58:53-313367 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 21:05:39-065597 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 21:26:52-926676 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 21:29:13-444963 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 21:38:38-757698 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 21:38:39-552748 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 21:43:14-724332 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 21:44:12-874161 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 21:44:14-602800 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 22:41:58-952449 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
Jul 20 22:45:03-237684 cadet-2692 ERROR Assertion failed at gnunet-service-cadet_tunnel.c:3746.
TagsNo tags attached.

Activities

Christian Grothoff

2017-02-21 18:31

manager   ~0011818

No longer relevant after CADET rewrite.

Issue History

Date Modified Username Field Change
2015-07-21 01:18 amatus New Issue
2015-07-21 01:18 amatus Status new => assigned
2015-07-21 01:18 amatus Assigned To => Bart Polot
2017-02-21 18:31 Christian Grothoff Assigned To Bart Polot => Christian Grothoff
2017-02-21 18:31 Christian Grothoff Status assigned => resolved
2017-02-21 18:31 Christian Grothoff Resolution open => fixed
2017-02-21 18:31 Christian Grothoff Fixed in Version => 0.11.0pre66
2017-02-21 18:31 Christian Grothoff Note Added: 0011818
2017-02-21 18:31 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed